hammer do not show subscriptions | want to add to activation key
08/05/2014 02:51 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1122924 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/453
2
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122924

Description of problem:

hammer do not show subscriptions | want to add to my activation key. Says "no Data" although | see these in webUIl with
"Default_Organization" selected.

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140723.0

How reproducible:
Hammer do not show subscriptions | want to add to activation key

Steps to Reproduce:

1. | have satellite with 2 custom products created

2. | have created new activation key: # hammer --username <user> --password <pass> \

activation-key create --content-view-id MyContentView \

--name MyActivationKey --organization "Default_Organization"

3. List all the subscriptions you can attach to the activation key # hammer --username <user> --password <pass> \
subscription list --organization-id 1

Actual results:
No data.

When | add these product subscriptions via webUI (where | can see them: Content -> Activation Keys -> MyActivationKey ->
Subscriptions -> Add) hammer then lists them:

1. hammer --username <user> --password <pass> activation-key subscriptions --id 1

ID | NAME

8a90c1364765d6fc014767fa3df10012 | RHEL
8a90c1364765d6fc014767f98fe6000b | Sat6

Expected results:
Should list subscriptions for mine 2 products.

Additional info:

1. hammer --debug --username <user> --password <pass> subscription list --organization-id 1
[ INFO 2014-07-24 07:45:19 Init] Initialization of Hammer CLI (0.1.1) has started...
[DEBUG 2014-07-24 07:45:19 Init] Running at ruby 1.8.7-p352
[ INFO 2014-07-24 07:45:19 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2014-07-24 07:45:19 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2014-07-24 07:45:19 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2014-07-24 07:45:19 Connection] Registered: foreman
[DEBUG 2014-07-24 07:45:19 API] Global headers: {

"Accept-Language" => "en",

:content_type => "application/json",

:accept => "application/json;version=2"

1

[ INFO 2014-07-24 07:45:21 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was
removed.

[ INFO 2014-07-24 07:45:21 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was
created.

[ INFO 2014-07-24 07:45:22 Modules] Extension module hammer_cli_katello (0.0.4) loaded

[ INFO 2014-07-24 07:45:22 Modules] Extension module hammer_cli_foreman (0.1.1) loaded

[DEBUG 2014-07-24 07:45:22 Init] Using locale 'en’

[DEBUG 2014-07-24 07:45:22 Init] 'mo' files for locale domain 'hammer-cli' loaded from
"/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/locale’

[DEBUG 2014-07-24 07:45:22 Init] 'mo' files for locale domain 'hammer-cli-foreman’ loaded from
'fusr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/locale’

[DEBUG 2014-07-24 07:45:22 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from
"fusr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/locale’

[ INFO 2014-07-24 07:45:22 HammerCLI::MainCommand] Called with options: {"option_password"=>"***",
"option_debug"=>true, "option_username"=>"admin"}

[ INFO 2014-07-24 07:45:22 HammerCLIKatello::SubscriptionCommand] Called with options: {}

[ INFO 2014-07-24 07:45:22 HammerCLIKatello::SubscriptionCommand::ListCommand] Called with options:
{"option_organization_id"=>"1"}

[ INFO 2014-07-24 07:45:22 API] GET /katello/api/organizations/1/subscriptions

[DEBUG 2014-07-24 07:45:22 API] Params: {}

[DEBUG 2014-07-24 07:45:22 API] Headers: {

params => {}

1

[DEBUG 2014-07-24 07:45:22 API] Response {

"total" => 0,

"page" => 1,

"per_page" => 20,

"sort" => {

"order" => nil,

"by" => nil

b

"search" => nil,

"results" => [],

"subtotal" => 0

}
No data.

Associated revisions

Revision 319ef234 - 09/04/2014 01:34 PM - lvan Necas
Fixes #6942,bz1122924 - subscription reindex

Reindex subscriptions as part of product creation and destruction.

Revision 83c54fce - 09/08/2014 12:33 PM - dustin tsang

Merge pull request #4532 from dustint-rh/subs_list_not_reindexing

Fixes #6942,bz1122924 - subscription reindex

History

#1 - 08/05/2014 03:07 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4532 added
- Pull request deleted ()

#2 - 08/05/2014 07:52 PM - Eric Helms

- Triaged changed from No to Yes
#3 - 08/18/2014 08:33 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/08/2014 01:01 PM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|319ef234a84ea10d2c3bdfae168f9f9c5b8d7d66.

#6 - 09/15/2014 02:20 PM - Eric Helms

- translation missing: en.field_release set to 13
